Main Page Packages Class Hierarchy Compound List File List Compound Members

# documentgetelementsbytagnametotallength Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documentgetelementsbytagnametotallength (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getElementsByTagName(tagName)" method returns a NodeList of all the Elements in the tree when the tagName is equal to " ".

Retrieve the entire DOM document and invoke its "getElementsByTagName(tagName)" method with tagName equal to " ". The method should return a NodeList that contains all the elements of the document.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-A6C9094

Definition at line 46 of file documentgetelementsbytagnametotallength.java.

## Constructor & Destructor Documentation

documentgetelementsbytagnametotallength::documentgetelementsbytagnametotallength | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 48 of file documentgetelementsbytagnametotallength.java.
    00049  {
    00050       super(factory);
    00051
    00052    }

## Member Function Documentation

String documentgetelementsbytagnametotallength::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 62 of file documentgetelementsbytagnametotallength.java.
    00062                                 {
    00063       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documentgetelementsbytagnametotallength";
    00064    }

void documentgetelementsbytagnametotallength::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 65 of file documentgetelementsbytagnametotallength.java. References DOMTestCase::doMain().
    00065                                           {
    00066         DOMTestCase.doMain(documentgetelementsbytagnametotallength.class,args);
    00067    }

void documentgetelementsbytagnametotallength::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 54 of file documentgetelementsbytagnametotallength.java. References DOMTestCase::assertSize(), and DOMTest::load().
    00054                                                     {
    00055       Document doc;
    00056       NodeList nameList;
    00057       doc = load("staff");
    00058       nameList = doc.getElementsByTagName("*");
    00059       assertSize("documentGetElementsByTagNameTotalLengthAssert",37,nameList);
    00060
    00061    }

The documentation for this class was generated from the following file:

- documentgetelementsbytagnametotallength.java